# Recuperação de certificado

<mark style="color:blue;">`GET`</mark> `https://api.birdid.com.br/v0/oauth/certificate-discovery`

Listas os certificados do usuário.\
\
Se o access token informado for obtido pelo método Authorization Code, será informado apenas o certificado escolhido pelo usuário no momento da autenticação.\
\
Se foi obtido pelo método Password, todos os certificados da conta do usuário serão retornados. Se tiver mais de um, é recomendável que a aplicação deixe o usuário selecionar qual deseja utilizar.\
\
Se o access token for um Client Credentials (autenticação da aplicação), também serão listados todos os certificados do usuário. **Atenção!** Serão listados somente os certificados de usuários que tenham se autenticado pelo menos uma vez na aplicação.

#### Headers

| Name          | Type   | Description      |
| ------------- | ------ | ---------------- |
| Authorization | string | Bearer           |
| Content-Type  | string | application/json |
| Accept        | string | application/json |

{% tabs %}
{% tab title="200 " %}

```
{
	"status": "S",
	"certificates": [{
			"alias": "CERTIFICADO TESTE 1:123456789",
			"certificate": "-----BEGIN CERTIFICATE-----\n{CERTIFICADO}\n-----END CERTIFICATE-----"
		},
		{
			"alias": "CERTIFICADO TESTE 2:123456789",
			"certificate": "-----BEGIN CERTIFICATE-----\n{CERTIFICADO}\n-----END CERTIFICATE-----"
		}
	]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vaultid.com.br/workspace/cloud/api/auxilio/recuperacao-de-certificado.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
